Name:           calceph
Version:        3.5.4
Release:        2%{?dist}
Summary:        Astronomical library to access planetary ephemeris files

License:        CECILL-2.0 OR CECILL-B OR CECILL-C
URL:            https://www.imcce.fr/inpop/calceph
Source0:        https://www.imcce.fr/content/medias/recherche/equipes/asd/%{name}/%{name}-%{version}.tar.gz

%define _unpackaged_files_terminate_build 0

BuildRequires:  gcc
BuildRequires:  gcc-gfortran
BuildRequires:  make

%description
This library is designed to access the binary planetary ephemeris files,
such INPOPxx, JPL DExxx and SPICE ephemeris files.


%package        libs
Summary:        %{name} shared libraries
License:        CECILL-2.0 OR CECILL-B OR CECILL-C

%description    libs
Calceph shared libraries.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation files for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation for %{name}.


%package        fortran-devel
Summary:        Development files for using %{name} Fortran bindings
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}
Requires:       gcc-gfortran

%description    fortran-devel
%{summary}.


%prep
%autosetup

chmod -x COPYING*


%build
%configure --enable-fortran=yes \
    --enable-python=no \
    --enable-python-package-system=no \
    --enable-python-package-user=no \
    --enable-thread=yes \
    --enable-static=no \
    --docdir=%{_pkgdocdir}
%make_build


%install
%make_install

rm -r %{buildroot}%{_libexecdir}

find %{buildroot}%{_pkgdocdir} -name .buildinfo -exec rm -f {} \;


%check
make check


%files
%{_bindir}/*


%files      libs
%license COPYING_CECILL_V2.1.LIB COPYING_CECILL_B.LIB COPYING_CECILL_C.LIB
%{_libdir}/*.so.1
%{_libdir}/*.so.1.*


%files      devel
%{_libdir}/*.so
%{_includedir}/*.h


%files      doc
%{_pkgdocdir}


%files      fortran-devel
%{_includedir}/%{name}.mod


%changelog
* Mon Apr 22 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.4-2
- rebase to add ocs macros

* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.4-1
- initial build
